cURL
curl --request POST \
--url https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}/scheduled-calls \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"phone_numbers": [
{
"to_number": "+919876543210",
"call_variables": {
"name": "Aarav Sharma",
"customer_id": "CUST-001",
"city": "Mumbai"
}
},
{
"to_number": "+919812345678",
"call_variables": {
"name": "Priya Mehta",
"customer_id": "CUST-002",
"city": "Delhi"
}
}
]
}
'import requests
url = "https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}/scheduled-calls"
payload = { "phone_numbers": [
{
"to_number": "+919876543210",
"call_variables": {
"name": "Aarav Sharma",
"customer_id": "CUST-001",
"city": "Mumbai"
}
},
{
"to_number": "+919812345678",
"call_variables": {
"name": "Priya Mehta",
"customer_id": "CUST-002",
"city": "Delhi"
}
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_numbers: [
{
to_number: '+919876543210',
call_variables: {name: 'Aarav Sharma', customer_id: 'CUST-001', city: 'Mumbai'}
},
{
to_number: '+919812345678',
call_variables: {name: 'Priya Mehta', customer_id: 'CUST-002', city: 'Delhi'}
}
]
})
};
fetch('https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}/scheduled-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"scheduled_call_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API reference
Add campaign recipients
Adds recipients to a campaign by creating scheduled outbound call records. Recipients can be added only when campaign status is DRAFT or PAUSED.
POST
/
v1
/
external
/
campaigns
/
{agent_id}
/
{campaign_id}
/
scheduled-calls
cURL
Request body example
Usephone_numbers to add recipients to a campaign. Each phone number must be
in E.164 format. Use call_variables to pass per-recipient context to the
agent.
{
"phone_numbers": [
{
"to_number": "+919876543210",
"call_variables": {
"name": "Aarav Sharma",
"customer_id": "CUST-001",
"city": "Mumbai"
}
},
{
"to_number": "+919812345678",
"call_variables": {
"name": "Priya Mehta",
"customer_id": "CUST-002",
"city": "Delhi"
}
}
]
}
You can add up to 5000 phone numbers in one request. Each recipient’s
call_variables object can be up to 4 KiB.Authorizations
Your unique organization API key. Required on all requests.
Path Parameters
The UUID of the AI agent that owns the campaign.
The UUID of the campaign.
Body
application/json
Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
⌘I